Error installing Tk-CursorControl

Posted by activecat on 2008-05-29 12:42
Forums: PPM | OS: Windows XP Pro

Received the following message from ppm while attempting to install package Tk-CursorControl after upgrading to perl 5.10.0.1003:

Installing package failed

ERROR: File conflict for 'C:/Perl/site/lib/Tk/demos/widtrib/cursor.pl'.
The package Tk has already installed a file that package Tk-CursorControl
wants to install.

trsarathi | Tue, 2009-09-15 04:08

I am getting the same error. Does anyone know how to resolve this please?

grahams
ActiveState Staff
Wed, 2012-03-14 10:40

There is a --force option for precisely this problem.
http://docs.activestate.com/activeperl/5.10/bin/ppm.html

Applies to all Perls using PPM 4.

bobkardell | Wed, 2012-03-14 12:55

I found the -force option and the -ignore option.

First I had to install a module using -ignore so that it did not try to install the other required modules (it was one of the required modules that kept giving me the trouble). Once the main module was installed I used the -force to install the required module without the error.

All of this has to be done using the command-line version of ppm not the GUI.

Bob

bobkardell | Wed, 2012-02-22 20:14

Has there been any resolution to this?